Accept Minting Services Terms
Review and accept the minting services terms for an enterprise before creating stablecoin orders. See the Guide.
-
Review the BitGo Coin Minting & Redemption Services Terms before accepting them for your enterprise. CaaS clients should present the full terms to their end users.
-
Retrieve enterprise details and check
stablecoinAgreement. If it is absent or empty, usestablecoinAgreementLatestVersionin the next step. -
Accept the current terms version on behalf of the enterprise. The
versionvalue must matchstablecoinAgreementLatestVersion.
// 1. Review Terms
// Review the BitGo Coin Minting & Redemption Services Terms at
// https://www.bitgo.com/legal/bitgo-coin-minting-services-terms/
// 2. Check Terms Status
export ENTERPRISE_ID="<YOUR_ENTERPRISE_ID>"
export ACCESS_TOKEN="<YOUR_ACCESS_TOKEN>"
curl -X GET https://app.bitgo-test.com/api/v2/enterprise/$ENTERPRISE_ID \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $ACCESS_TOKEN"
// 3. Accept the Terms
export VERSION="<STABLECOIN_AGREEMENT_LATEST_VERSION>"
curl -X PUT https://app.bitgo-test.com/api/stablecoin/v1/enterprise/$ENTERPRISE_ID/agreement \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-d '{"version": "'"$VERSION"'"}'
// 1. Review Terms
// Review the BitGo Coin Minting & Redemption Services Terms at
// https://www.bitgo.com/legal/bitgo-coin-minting-services-terms/
// 2. Check Terms Status
// Use the REST API for this step (see cURL tab)
// 3. Accept the Terms
// Use the REST API for this step (see cURL tab)
Response
// 2. Check Terms Status Response (Not Accepted)
{ "stablecoinAgreementLatestVersion": 1 }
// 2. Check Terms Status Response (Accepted)
{ "id": "6437d9ae435d8b0007635c3f0db52154", "name": "Example Enterprise", "stablecoinAgreement": [{ "user": "682de31be80bbf9a733a2553d30e5cb5", "date": "2026-03-23T14:20:58.892Z", "ip": "10.24.183.6", "version": 1 }], "stablecoinAgreementLatestVersion": 1 }
// 3. Accept the Terms Response
{ "enterpriseId": "6437d9ae435d8b0007635c3f0db52154", "version": 1 }